"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.usingTryCatch = void 0;
const usingTryCatch = (promise) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        if (Array.isArray(promise)) {
            return { data: yield Promise.all(promise), error: null };
        }
        return { data: yield promise, error: null };
    }
    catch (error) {
        if (error instanceof Error) {
            return { data: null, error: error };
        }
        return { data: null, error };
    }
});
exports.usingTryCatch = usingTryCatch;
exports.default = exports.usingTryCatch;
