export const usingTryCatch = async (promise) => {
    try {
        if (Array.isArray(promise)) {
            return { data: await Promise.all(promise), error: null };
        }
        return { data: await promise, error: null };
    }
    catch (error) {
        if (error instanceof Error) {
            return { data: null, error: error };
        }
        return { data: null, error };
    }
};
export default usingTryCatch;
